Create a task

Create a task for the connector. If an identical task is already pending or running, the existing task is returned with the same 202 response.

POST
/api/v1/connectors/{connector_id}/tasks

Path Parameters

connector_id*string

Connector ID

Request Body

application/json

Snapshot*

A copy of one table taken at a single point in time

Response Body

application/json

curl -X POST "https://loading/api/v1/connectors/string/tasks" \  -H "Content-Type: application/json" \  -d '{    "Snapshot": {      "schema": "string",      "name": "string"    }  }'
{
  "id": "string",
  "state": "Pending",
  "spec": {
    "Snapshot": {
      "database": "string",
      "schema": "string",
      "name": "string",
      "truncate": false,
      "force_parallel": false
    }
  },
  "reason": "string",
  "created_at": "string"
}
Empty
Empty